Index: tk8.3.1/unix/Makefile.in
diff -c tk8.3.1/unix/Makefile.in:1.1.1.1 tk8.3.1/unix/Makefile.in:1.2
*** tk8.3.1/unix/Makefile.in:1.1.1.1	Thu Jun  8 17:10:37 2000
--- tk8.3.1/unix/Makefile.in	Wed Aug 23 15:12:57 2000
***************
*** 196,203 ****
  
  # Libraries to use when linking.  This definition is determined by the
  # configure script.
! LIBS = @LIBS@ $(X11_LIB_SWITCHES) @DL_LIBS@ @MATH_LIBS@ -lc
! WISH_LIBS = $(TCL_LIB_SPEC) @LIBS@ $(X11_LIB_SWITCHES) @DL_LIBS@ @MATH_LIBS@ -lc
  
  # The symbol below provides support for dynamic loading and shared
  # libraries.  See configure.in for a description of what it means.
--- 196,208 ----
  
  # Libraries to use when linking.  This definition is determined by the
  # configure script.
! 
! # The LD_LIBS_SPEC and CC_LIBS_SPEC are used to specify an export file
! # on AIX.  Two different variables are used because we need the -Wl,
! # switch on the WISH_LIBS line because this is used by $(CC).
! #
! LIBS = @LIBS@ $(X11_LIB_SWITCHES) @DL_LIBS@ @LD_LIBS_SPEC@ @MATH_LIBS@ -lc
! WISH_LIBS = $(TCL_LIB_SPEC) @LIBS@ $(X11_LIB_SWITCHES) @DL_LIBS@ @CC_LIBS_SPEC@ @MATH_LIBS@ -lc
  
  # The symbol below provides support for dynamic loading and shared
  # libraries.  See configure.in for a description of what it means.
Index: tk8.3.1/unix/aclocal.m4
diff -c tk8.3.1/unix/aclocal.m4:1.1.1.1 tk8.3.1/unix/aclocal.m4:1.2
*** tk8.3.1/unix/aclocal.m4:1.1.1.1	Thu Jun  8 17:10:37 2000
--- tk8.3.1/unix/aclocal.m4	Wed Aug 23 15:14:04 2000
***************
*** 608,614 ****
  	    SHLIB_LD_LIBS='${LIBS}'
  	    SHLIB_SUFFIX=".so"
  	    DL_OBJS="tclLoadDl.o"
! 	    DL_LIBS="-ldl ${TCL_BUILD_LIB_SPEC}"
  	    LDFLAGS=""
  	    LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
  	    TCL_NEEDS_EXP_FILE=1
--- 608,617 ----
  	    SHLIB_LD_LIBS='${LIBS}'
  	    SHLIB_SUFFIX=".so"
  	    DL_OBJS="tclLoadDl.o"
! 	    DL_LIBS="-ldl"
! 	    CC_LIBS_SPEC=${TCL_BUILD_LIB_SPEC}
! 	    LD_LIBS_SPEC=`echo ${TCL_BUILD_LIB_SPEC} |sed -e 's/-Wl,//g' -e 's/,/ /g'`
! 
  	    LDFLAGS=""
  	    LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
  	    TCL_NEEDS_EXP_FILE=1
***************
*** 621,627 ****
  	    SHLIB_SUFFIX=".so"
  	    DL_OBJS="tclLoadDl.o"
  	    LIBOBJS="$LIBOBJS tclLoadAix.o"
! 	    DL_LIBS="-lld ${TCL_BUILD_LIB_SPEC}"
  	    LDFLAGS=""
  	    LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
  	    TCL_NEEDS_EXP_FILE=1
--- 624,632 ----
  	    SHLIB_SUFFIX=".so"
  	    DL_OBJS="tclLoadDl.o"
  	    LIBOBJS="$LIBOBJS tclLoadAix.o"
! 	    DL_LIBS="-lld"
! 	    CC_LIBS_SPEC=${TCL_BUILD_LIB_SPEC}
! 	    LD_LIBS_SPEC=`echo ${TCL_BUILD_LIB_SPEC} |sed -e 's/-Wl,//g' -e 's/,/ /g'`
  	    LDFLAGS=""
  	    LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
  	    TCL_NEEDS_EXP_FILE=1
Index: tk8.3.1/unix/configure
diff -c tk8.3.1/unix/configure:1.1.1.1 tk8.3.1/unix/configure:1.2
*** tk8.3.1/unix/configure:1.1.1.1	Thu Jun  8 17:10:37 2000
--- tk8.3.1/unix/configure	Wed Aug 23 15:52:00 2000
***************
*** 1609,1615 ****
  	    SHLIB_LD_LIBS='${LIBS}'
  	    SHLIB_SUFFIX=".so"
  	    DL_OBJS="tclLoadDl.o"
! 	    DL_LIBS="-ldl ${TCL_BUILD_LIB_SPEC}"
  	    LDFLAGS=""
  	    LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
  	    TCL_NEEDS_EXP_FILE=1
--- 1609,1618 ----
  	    SHLIB_LD_LIBS='${LIBS}'
  	    SHLIB_SUFFIX=".so"
  	    DL_OBJS="tclLoadDl.o"
! 	    DL_LIBS="-ldl"
! 	    CC_LIBS_SPEC=${TCL_BUILD_LIB_SPEC}
! 	    LD_LIBS_SPEC=`echo ${TCL_BUILD_LIB_SPEC} |sed -e 's/-Wl,//g' -e 's/,/ /g'`
! 
  	    LDFLAGS=""
  	    LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
  	    TCL_NEEDS_EXP_FILE=1
***************
*** 1622,1628 ****
  	    SHLIB_SUFFIX=".so"
  	    DL_OBJS="tclLoadDl.o"
  	    LIBOBJS="$LIBOBJS tclLoadAix.o"
! 	    DL_LIBS="-lld ${TCL_BUILD_LIB_SPEC}"
  	    LDFLAGS=""
  	    LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
  	    TCL_NEEDS_EXP_FILE=1
--- 1625,1633 ----
  	    SHLIB_SUFFIX=".so"
  	    DL_OBJS="tclLoadDl.o"
  	    LIBOBJS="$LIBOBJS tclLoadAix.o"
! 	    DL_LIBS="-lld"
! 	    CC_LIBS_SPEC=${TCL_BUILD_LIB_SPEC}
! 	    LD_LIBS_SPEC=`echo ${TCL_BUILD_LIB_SPEC} |sed -e 's/-Wl,//g' -e 's/,/ /g'`
  	    LDFLAGS=""
  	    LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
  	    TCL_NEEDS_EXP_FILE=1
***************
*** 1661,1667 ****
  	HP-UX-*.08.*|HP-UX-*.09.*|HP-UX-*.10.*|HP-UX-*.11.*)
  	    SHLIB_SUFFIX=".sl"
  	    echo $ac_n "checking for shl_load in -ldld""... $ac_c" 1>&6
! echo "configure:1665: checking for shl_load in -ldld" >&5
  ac_lib_var=`echo dld'_'shl_load | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 1666,1672 ----
  	HP-UX-*.08.*|HP-UX-*.09.*|HP-UX-*.10.*|HP-UX-*.11.*)
  	    SHLIB_SUFFIX=".sl"
  	    echo $ac_n "checking for shl_load in -ldld""... $ac_c" 1>&6
! echo "configure:1670: checking for shl_load in -ldld" >&5
  ac_lib_var=`echo dld'_'shl_load | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 1669,1675 ****
    ac_save_LIBS="$LIBS"
  LIBS="-ldld  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1673 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
--- 1674,1680 ----
    ac_save_LIBS="$LIBS"
  LIBS="-ldld  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 1678 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
***************
*** 1680,1686 ****
  shl_load()
  ; return 0; }
  EOF
! if { (eval echo configure:1684: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 1685,1691 ----
  shl_load()
  ; return 0; }
  EOF
! if { (eval echo configure:1689: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 1776,1792 ****
  	    else
  		ac_safe=`echo "dld.h" | sed 'y%./+-%__p_%'`
  echo $ac_n "checking for dld.h""... $ac_c" 1>&6
! echo "configure:1780: checking for dld.h" >&5
  if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 1785 "configure"
  #include "confdefs.h"
  #include <dld.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:1790: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
--- 1781,1797 ----
  	    else
  		ac_safe=`echo "dld.h" | sed 'y%./+-%__p_%'`
  echo $ac_n "checking for dld.h""... $ac_c" 1>&6
! echo "configure:1785: checking for dld.h" >&5
  if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 1790 "configure"
  #include "confdefs.h"
  #include <dld.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:1795: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
***************
*** 1841,1857 ****
  	    # Not available on all versions:  check for include file.
  	    ac_safe=`echo "dlfcn.h" | sed 'y%./+-%__p_%'`
  echo $ac_n "checking for dlfcn.h""... $ac_c" 1>&6
! echo "configure:1845: checking for dlfcn.h" >&5
  if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 1850 "configure"
  #include "confdefs.h"
  #include <dlfcn.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:1855: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
--- 1846,1862 ----
  	    # Not available on all versions:  check for include file.
  	    ac_safe=`echo "dlfcn.h" | sed 'y%./+-%__p_%'`
  echo $ac_n "checking for dlfcn.h""... $ac_c" 1>&6
! echo "configure:1850: checking for dlfcn.h" >&5
  if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 1855 "configure"
  #include "confdefs.h"
  #include <dlfcn.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:1860: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
***************
*** 1878,1886 ****
  		LDFLAGS=""
  		LD_SEARCH_FLAGS=""
  		echo $ac_n "checking for ELF""... $ac_c" 1>&6
! echo "configure:1882: checking for ELF" >&5
  		cat > conftest.$ac_ext <<EOF
! #line 1884 "configure"
  #include "confdefs.h"
  
  #ifdef __ELF__
--- 1883,1891 ----
  		LDFLAGS=""
  		LD_SEARCH_FLAGS=""
  		echo $ac_n "checking for ELF""... $ac_c" 1>&6
! echo "configure:1887: checking for ELF" >&5
  		cat > conftest.$ac_ext <<EOF
! #line 1889 "configure"
  #include "confdefs.h"
  
  #ifdef __ELF__
***************
*** 2116,2132 ****
  	    # that don't grok the -Bexport option.  Test that it does.
  	    hold_ldflags=$LDFLAGS
  	    echo $ac_n "checking for ld accepts -Bexport flag""... $ac_c" 1>&6
! echo "configure:2120: checking for ld accepts -Bexport flag" >&5
  	    LDFLAGS="${LDFLAGS} -Wl,-Bexport"
  	    cat > conftest.$ac_ext <<EOF
! #line 2123 "configure"
  #include "confdefs.h"
  
  int main() {
  int i;
  ; return 0; }
  EOF
! if { (eval echo configure:2130: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    found=yes
  else
--- 2121,2137 ----
  	    # that don't grok the -Bexport option.  Test that it does.
  	    hold_ldflags=$LDFLAGS
  	    echo $ac_n "checking for ld accepts -Bexport flag""... $ac_c" 1>&6
! echo "configure:2125: checking for ld accepts -Bexport flag" >&5
  	    LDFLAGS="${LDFLAGS} -Wl,-Bexport"
  	    cat > conftest.$ac_ext <<EOF
! #line 2128 "configure"
  #include "confdefs.h"
  
  int main() {
  int i;
  ; return 0; }
  EOF
! if { (eval echo configure:2135: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    found=yes
  else
***************
*** 2172,2180 ****
  
      if test "x$DL_OBJS" = "xtclLoadAout.o" ; then
  	echo $ac_n "checking sys/exec.h""... $ac_c" 1>&6
! echo "configure:2176: checking sys/exec.h" >&5
  	cat > conftest.$ac_ext <<EOF
! #line 2178 "configure"
  #include "confdefs.h"
  #include <sys/exec.h>
  int main() {
--- 2177,2185 ----
  
      if test "x$DL_OBJS" = "xtclLoadAout.o" ; then
  	echo $ac_n "checking sys/exec.h""... $ac_c" 1>&6
! echo "configure:2181: checking sys/exec.h" >&5
  	cat > conftest.$ac_ext <<EOF
! #line 2183 "configure"
  #include "confdefs.h"
  #include <sys/exec.h>
  int main() {
***************
*** 2192,2198 ****
      
  ; return 0; }
  EOF
! if { (eval echo configure:2196: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tcl_ok=usable
  else
--- 2197,2203 ----
      
  ; return 0; }
  EOF
! if { (eval echo configure:2201: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tcl_ok=usable
  else
***************
*** 2210,2218 ****
  
  	else
  	    echo $ac_n "checking a.out.h""... $ac_c" 1>&6
! echo "configure:2214: checking a.out.h" >&5
  	    cat > conftest.$ac_ext <<EOF
! #line 2216 "configure"
  #include "confdefs.h"
  #include <a.out.h>
  int main() {
--- 2215,2223 ----
  
  	else
  	    echo $ac_n "checking a.out.h""... $ac_c" 1>&6
! echo "configure:2219: checking a.out.h" >&5
  	    cat > conftest.$ac_ext <<EOF
! #line 2221 "configure"
  #include "confdefs.h"
  #include <a.out.h>
  int main() {
***************
*** 2230,2236 ****
  	    
  ; return 0; }
  EOF
! if { (eval echo configure:2234: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tcl_ok=usable
  else
--- 2235,2241 ----
  	    
  ; return 0; }
  EOF
! if { (eval echo configure:2239: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tcl_ok=usable
  else
***************
*** 2248,2256 ****
  
  	    else
  		echo $ac_n "checking sys/exec_aout.h""... $ac_c" 1>&6
! echo "configure:2252: checking sys/exec_aout.h" >&5
  		cat > conftest.$ac_ext <<EOF
! #line 2254 "configure"
  #include "confdefs.h"
  #include <sys/exec_aout.h>
  int main() {
--- 2253,2261 ----
  
  	    else
  		echo $ac_n "checking sys/exec_aout.h""... $ac_c" 1>&6
! echo "configure:2257: checking sys/exec_aout.h" >&5
  		cat > conftest.$ac_ext <<EOF
! #line 2259 "configure"
  #include "confdefs.h"
  #include <sys/exec_aout.h>
  int main() {
***************
*** 2268,2274 ****
  		
  ; return 0; }
  EOF
! if { (eval echo configure:2272: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tcl_ok=usable
  else
--- 2273,2279 ----
  		
  ; return 0; }
  EOF
! if { (eval echo configure:2277: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tcl_ok=usable
  else
***************
*** 2361,2367 ****
  
  
      echo $ac_n "checking for build with symbols""... $ac_c" 1>&6
! echo "configure:2365: checking for build with symbols" >&5
      # Check whether --enable-symbols or --disable-symbols was given.
  if test "${enable_symbols+set}" = set; then
    enableval="$enable_symbols"
--- 2366,2372 ----
  
  
      echo $ac_n "checking for build with symbols""... $ac_c" 1>&6
! echo "configure:2370: checking for build with symbols" >&5
      # Check whether --enable-symbols or --disable-symbols was given.
  if test "${enable_symbols+set}" = set; then
    enableval="$enable_symbols"
***************
*** 2405,2416 ****
  #--------------------------------------------------------------------
  
  echo $ac_n "checking for sin""... $ac_c" 1>&6
! echo "configure:2409: checking for sin" >&5
  if eval "test \"`echo '$''{'ac_cv_func_sin'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2414 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char sin(); below.  */
--- 2410,2421 ----
  #--------------------------------------------------------------------
  
  echo $ac_n "checking for sin""... $ac_c" 1>&6
! echo "configure:2414: checking for sin" >&5
  if eval "test \"`echo '$''{'ac_cv_func_sin'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2419 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char sin(); below.  */
***************
*** 2433,2439 ****
  
  ; return 0; }
  EOF
! if { (eval echo configure:2437: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_sin=yes"
  else
--- 2438,2444 ----
  
  ; return 0; }
  EOF
! if { (eval echo configure:2442: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_sin=yes"
  else
***************
*** 2454,2460 ****
  fi
  
  echo $ac_n "checking for main in -lieee""... $ac_c" 1>&6
! echo "configure:2458: checking for main in -lieee" >&5
  ac_lib_var=`echo ieee'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 2459,2465 ----
  fi
  
  echo $ac_n "checking for main in -lieee""... $ac_c" 1>&6
! echo "configure:2463: checking for main in -lieee" >&5
  ac_lib_var=`echo ieee'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 2462,2475 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lieee  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2466 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2473: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 2467,2480 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lieee  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2471 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:2478: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 2500,2506 ****
  libbsd=no
  if test "`uname -s`" = "AIX" ; then
      echo $ac_n "checking for gettimeofday in -lbsd""... $ac_c" 1>&6
! echo "configure:2504: checking for gettimeofday in -lbsd" >&5
  ac_lib_var=`echo bsd'_'gettimeofday | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 2505,2511 ----
  libbsd=no
  if test "`uname -s`" = "AIX" ; then
      echo $ac_n "checking for gettimeofday in -lbsd""... $ac_c" 1>&6
! echo "configure:2509: checking for gettimeofday in -lbsd" >&5
  ac_lib_var=`echo bsd'_'gettimeofday | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 2508,2514 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lbsd  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2512 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
--- 2513,2519 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lbsd  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 2517 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
***************
*** 2519,2525 ****
  gettimeofday()
  ; return 0; }
  EOF
! if { (eval echo configure:2523: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 2524,2530 ----
  gettimeofday()
  ; return 0; }
  EOF
! if { (eval echo configure:2528: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 2550,2558 ****
  #--------------------------------------------------------------------
  
  echo $ac_n "checking stdlib.h""... $ac_c" 1>&6
! echo "configure:2554: checking stdlib.h" >&5
  cat > conftest.$ac_ext <<EOF
! #line 2556 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
--- 2555,2563 ----
  #--------------------------------------------------------------------
  
  echo $ac_n "checking stdlib.h""... $ac_c" 1>&6
! echo "configure:2559: checking stdlib.h" >&5
  cat > conftest.$ac_ext <<EOF
! #line 2561 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
***************
*** 2567,2573 ****
  rm -f conftest*
  
  cat > conftest.$ac_ext <<EOF
! #line 2571 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
--- 2572,2578 ----
  rm -f conftest*
  
  cat > conftest.$ac_ext <<EOF
! #line 2576 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
***************
*** 2581,2587 ****
  rm -f conftest*
  
  cat > conftest.$ac_ext <<EOF
! #line 2585 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
--- 2586,2592 ----
  rm -f conftest*
  
  cat > conftest.$ac_ext <<EOF
! #line 2590 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
***************
*** 2613,2628 ****
  #--------------------------------------------------------------------
  
  echo $ac_n "checking fd_set and sys/select""... $ac_c" 1>&6
! echo "configure:2617: checking fd_set and sys/select" >&5
  cat > conftest.$ac_ext <<EOF
! #line 2619 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  int main() {
  fd_set readMask, writeMask;
  ; return 0; }
  EOF
! if { (eval echo configure:2626: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tk_ok=yes
  else
--- 2618,2633 ----
  #--------------------------------------------------------------------
  
  echo $ac_n "checking fd_set and sys/select""... $ac_c" 1>&6
! echo "configure:2622: checking fd_set and sys/select" >&5
  cat > conftest.$ac_ext <<EOF
! #line 2624 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  int main() {
  fd_set readMask, writeMask;
  ; return 0; }
  EOF
! if { (eval echo configure:2631: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tk_ok=yes
  else
***************
*** 2634,2640 ****
  rm -f conftest*
  if test $tk_ok = no; then
      cat > conftest.$ac_ext <<EOF
! #line 2638 "configure"
  #include "confdefs.h"
  #include <sys/select.h>
  EOF
--- 2639,2645 ----
  rm -f conftest*
  if test $tk_ok = no; then
      cat > conftest.$ac_ext <<EOF
! #line 2643 "configure"
  #include "confdefs.h"
  #include <sys/select.h>
  EOF
***************
*** 2666,2677 ****
  #--------------------------------------------------------------------
  
  echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
! echo "configure:2670: checking for ANSI C header files" >&5
  if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2675 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  #include <stdarg.h>
--- 2671,2682 ----
  #--------------------------------------------------------------------
  
  echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
! echo "configure:2675: checking for ANSI C header files" >&5
  if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2680 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  #include <stdarg.h>
***************
*** 2679,2685 ****
  #include <float.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:2683: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
--- 2684,2690 ----
  #include <float.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:2688: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
***************
*** 2696,2702 ****
  if test $ac_cv_header_stdc = yes; then
    # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  cat > conftest.$ac_ext <<EOF
! #line 2700 "configure"
  #include "confdefs.h"
  #include <string.h>
  EOF
--- 2701,2707 ----
  if test $ac_cv_header_stdc = yes; then
    # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  cat > conftest.$ac_ext <<EOF
! #line 2705 "configure"
  #include "confdefs.h"
  #include <string.h>
  EOF
***************
*** 2714,2720 ****
  if test $ac_cv_header_stdc = yes; then
    # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  cat > conftest.$ac_ext <<EOF
! #line 2718 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
--- 2719,2725 ----
  if test $ac_cv_header_stdc = yes; then
    # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  cat > conftest.$ac_ext <<EOF
! #line 2723 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
***************
*** 2735,2741 ****
    :
  else
    cat > conftest.$ac_ext <<EOF
! #line 2739 "configure"
  #include "confdefs.h"
  #include <ctype.h>
  #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
--- 2740,2746 ----
    :
  else
    cat > conftest.$ac_ext <<EOF
! #line 2744 "configure"
  #include "confdefs.h"
  #include <ctype.h>
  #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
***************
*** 2746,2752 ****
  exit (0); }
  
  EOF
! if { (eval echo configure:2750: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
  then
    :
  else
--- 2751,2757 ----
  exit (0); }
  
  EOF
! if { (eval echo configure:2755: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
  then
    :
  else
***************
*** 2770,2781 ****
  fi
  
  echo $ac_n "checking for mode_t""... $ac_c" 1>&6
! echo "configure:2774: checking for mode_t" >&5
  if eval "test \"`echo '$''{'ac_cv_type_mode_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2779 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
--- 2775,2786 ----
  fi
  
  echo $ac_n "checking for mode_t""... $ac_c" 1>&6
! echo "configure:2779: checking for mode_t" >&5
  if eval "test \"`echo '$''{'ac_cv_type_mode_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2784 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
***************
*** 2803,2814 ****
  fi
  
  echo $ac_n "checking for pid_t""... $ac_c" 1>&6
! echo "configure:2807: checking for pid_t" >&5
  if eval "test \"`echo '$''{'ac_cv_type_pid_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2812 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
--- 2808,2819 ----
  fi
  
  echo $ac_n "checking for pid_t""... $ac_c" 1>&6
! echo "configure:2812: checking for pid_t" >&5
  if eval "test \"`echo '$''{'ac_cv_type_pid_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2817 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
***************
*** 2836,2847 ****
  fi
  
  echo $ac_n "checking for size_t""... $ac_c" 1>&6
! echo "configure:2840: checking for size_t" >&5
  if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2845 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
--- 2841,2852 ----
  fi
  
  echo $ac_n "checking for size_t""... $ac_c" 1>&6
! echo "configure:2845: checking for size_t" >&5
  if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2850 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
***************
*** 2869,2880 ****
  fi
  
  echo $ac_n "checking for uid_t in sys/types.h""... $ac_c" 1>&6
! echo "configure:2873: checking for uid_t in sys/types.h" >&5
  if eval "test \"`echo '$''{'ac_cv_type_uid_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2878 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  EOF
--- 2874,2885 ----
  fi
  
  echo $ac_n "checking for uid_t in sys/types.h""... $ac_c" 1>&6
! echo "configure:2878: checking for uid_t in sys/types.h" >&5
  if eval "test \"`echo '$''{'ac_cv_type_uid_t'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2883 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  EOF
***************
*** 2911,2927 ****
  do
  ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
  echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
! echo "configure:2915: checking for $ac_hdr" >&5
  if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2920 "configure"
  #include "confdefs.h"
  #include <$ac_hdr>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:2925: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
--- 2916,2932 ----
  do
  ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
  echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
! echo "configure:2920: checking for $ac_hdr" >&5
  if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2925 "configure"
  #include "confdefs.h"
  #include <$ac_hdr>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:2930: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
***************
*** 2948,2959 ****
  done
  
  echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
! echo "configure:2952: checking whether time.h and sys/time.h may both be included" >&5
  if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2957 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <sys/time.h>
--- 2953,2964 ----
  done
  
  echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
! echo "configure:2957: checking whether time.h and sys/time.h may both be included" >&5
  if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 2962 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <sys/time.h>
***************
*** 2962,2968 ****
  struct tm *tp;
  ; return 0; }
  EOF
! if { (eval echo configure:2966: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    ac_cv_header_time=yes
  else
--- 2967,2973 ----
  struct tm *tp;
  ; return 0; }
  EOF
! if { (eval echo configure:2971: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    ac_cv_header_time=yes
  else
***************
*** 2988,3003 ****
  #-------------------------------------------
  
  echo $ac_n "checking pw_gecos in struct pwd""... $ac_c" 1>&6
! echo "configure:2992: checking pw_gecos in struct pwd" >&5
  cat > conftest.$ac_ext <<EOF
! #line 2994 "configure"
  #include "confdefs.h"
  #include <pwd.h>
  int main() {
  struct passwd pwd; pwd.pw_gecos;
  ; return 0; }
  EOF
! if { (eval echo configure:3001: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tk_ok=yes
  else
--- 2993,3008 ----
  #-------------------------------------------
  
  echo $ac_n "checking pw_gecos in struct pwd""... $ac_c" 1>&6
! echo "configure:2997: checking pw_gecos in struct pwd" >&5
  cat > conftest.$ac_ext <<EOF
! #line 2999 "configure"
  #include "confdefs.h"
  #include <pwd.h>
  int main() {
  struct passwd pwd; pwd.pw_gecos;
  ; return 0; }
  EOF
! if { (eval echo configure:3006: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
    rm -rf conftest*
    tk_ok=yes
  else
***************
*** 3030,3036 ****
  # Uses ac_ vars as temps to allow command line to override cache and checks.
  # --without-x overrides everything else, but does not touch the cache.
  echo $ac_n "checking for X""... $ac_c" 1>&6
! echo "configure:3034: checking for X" >&5
  
  # Check whether --with-x or --without-x was given.
  if test "${with_x+set}" = set; then
--- 3035,3041 ----
  # Uses ac_ vars as temps to allow command line to override cache and checks.
  # --without-x overrides everything else, but does not touch the cache.
  echo $ac_n "checking for X""... $ac_c" 1>&6
! echo "configure:3039: checking for X" >&5
  
  # Check whether --with-x or --without-x was given.
  if test "${with_x+set}" = set; then
***************
*** 3092,3103 ****
  
    # First, try using that file with no special directory specified.
  cat > conftest.$ac_ext <<EOF
! #line 3096 "configure"
  #include "confdefs.h"
  #include <$x_direct_test_include>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:3101: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
--- 3097,3108 ----
  
    # First, try using that file with no special directory specified.
  cat > conftest.$ac_ext <<EOF
! #line 3101 "configure"
  #include "confdefs.h"
  #include <$x_direct_test_include>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:3106: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    rm -rf conftest*
***************
*** 3166,3179 ****
    ac_save_LIBS="$LIBS"
    LIBS="-l$x_direct_test_library $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3170 "configure"
  #include "confdefs.h"
  
  int main() {
  ${x_direct_test_function}()
  ; return 0; }
  EOF
! if { (eval echo configure:3177: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    LIBS="$ac_save_LIBS"
  # We can link X programs with no special library path.
--- 3171,3184 ----
    ac_save_LIBS="$LIBS"
    LIBS="-l$x_direct_test_library $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3175 "configure"
  #include "confdefs.h"
  
  int main() {
  ${x_direct_test_function}()
  ; return 0; }
  EOF
! if { (eval echo configure:3182: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    LIBS="$ac_save_LIBS"
  # We can link X programs with no special library path.
***************
*** 3263,3274 ****
      if test "$no_x" = ""; then
  	if test "$x_includes" = ""; then
  	    cat > conftest.$ac_ext <<EOF
! #line 3267 "configure"
  #include "confdefs.h"
  #include <X11/XIntrinsic.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:3272: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    :
--- 3268,3279 ----
      if test "$no_x" = ""; then
  	if test "$x_includes" = ""; then
  	    cat > conftest.$ac_ext <<EOF
! #line 3272 "configure"
  #include "confdefs.h"
  #include <X11/XIntrinsic.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:3277: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    :
***************
*** 3288,3302 ****
      fi
      if test "$no_x" = "yes" -o "$not_really_there" = "yes"; then
  	echo $ac_n "checking for X11 header files""... $ac_c" 1>&6
! echo "configure:3292: checking for X11 header files" >&5
  	XINCLUDES="# no special path needed"
  	cat > conftest.$ac_ext <<EOF
! #line 3295 "configure"
  #include "confdefs.h"
  #include <X11/Intrinsic.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:3300: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    :
--- 3293,3307 ----
      fi
      if test "$no_x" = "yes" -o "$not_really_there" = "yes"; then
  	echo $ac_n "checking for X11 header files""... $ac_c" 1>&6
! echo "configure:3297: checking for X11 header files" >&5
  	XINCLUDES="# no special path needed"
  	cat > conftest.$ac_ext <<EOF
! #line 3300 "configure"
  #include "confdefs.h"
  #include <X11/Intrinsic.h>
  EOF
  ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
! { (eval echo configure:3305: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
  ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
  if test -z "$ac_err"; then
    :
***************
*** 3332,3338 ****
  
      if test "$no_x" = yes; then
  	echo $ac_n "checking for X11 libraries""... $ac_c" 1>&6
! echo "configure:3336: checking for X11 libraries" >&5
  	XLIBSW=nope
  	dirs="/usr/unsupported/lib /usr/local/lib /usr/X386/lib /usr/X11R6/lib /usr/X11R5/lib /usr/lib/X11R5 /usr/lib/X11R4 /usr/openwin/lib /usr/X11/lib /usr/sww/X11/lib"
  	for i in $dirs ; do
--- 3337,3343 ----
  
      if test "$no_x" = yes; then
  	echo $ac_n "checking for X11 libraries""... $ac_c" 1>&6
! echo "configure:3341: checking for X11 libraries" >&5
  	XLIBSW=nope
  	dirs="/usr/unsupported/lib /usr/local/lib /usr/X386/lib /usr/X11R6/lib /usr/X11R5/lib /usr/lib/X11R5 /usr/lib/X11R4 /usr/openwin/lib /usr/X11/lib /usr/sww/X11/lib"
  	for i in $dirs ; do
***************
*** 3352,3358 ****
      fi
      if test "$XLIBSW" = nope ; then
  	echo $ac_n "checking for XCreateWindow in -lXwindow""... $ac_c" 1>&6
! echo "configure:3356: checking for XCreateWindow in -lXwindow" >&5
  ac_lib_var=`echo Xwindow'_'XCreateWindow | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 3357,3363 ----
      fi
      if test "$XLIBSW" = nope ; then
  	echo $ac_n "checking for XCreateWindow in -lXwindow""... $ac_c" 1>&6
! echo "configure:3361: checking for XCreateWindow in -lXwindow" >&5
  ac_lib_var=`echo Xwindow'_'XCreateWindow | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 3360,3366 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lXwindow  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3364 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
--- 3365,3371 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lXwindow  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3369 "configure"
  #include "confdefs.h"
  /* Override any gcc2 internal prototype to avoid an error.  */
  /* We use char because int might match the return type of a gcc2
***************
*** 3371,3377 ****
  XCreateWindow()
  ; return 0; }
  EOF
! if { (eval echo configure:3375: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 3376,3382 ----
  XCreateWindow()
  ; return 0; }
  EOF
! if { (eval echo configure:3380: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 3456,3462 ****
  #--------------------------------------------------------------------
  
  echo $ac_n "checking for main in -lXbsd""... $ac_c" 1>&6
! echo "configure:3460: checking for main in -lXbsd" >&5
  ac_lib_var=`echo Xbsd'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 3461,3467 ----
  #--------------------------------------------------------------------
  
  echo $ac_n "checking for main in -lXbsd""... $ac_c" 1>&6
! echo "configure:3465: checking for main in -lXbsd" >&5
  ac_lib_var=`echo Xbsd'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 3464,3477 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lXbsd  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3468 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:3475: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 3469,3482 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lXbsd  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3473 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:3480: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 3494,3505 ****
  
  tk_checkBoth=0
  echo $ac_n "checking for connect""... $ac_c" 1>&6
! echo "configure:3498: checking for connect" >&5
  if eval "test \"`echo '$''{'ac_cv_func_connect'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3503 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char connect(); below.  */
--- 3499,3510 ----
  
  tk_checkBoth=0
  echo $ac_n "checking for connect""... $ac_c" 1>&6
! echo "configure:3503: checking for connect" >&5
  if eval "test \"`echo '$''{'ac_cv_func_connect'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3508 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char connect(); below.  */
***************
*** 3522,3528 ****
  
  ; return 0; }
  EOF
! if { (eval echo configure:3526: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_connect=yes"
  else
--- 3527,3533 ----
  
  ; return 0; }
  EOF
! if { (eval echo configure:3531: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_connect=yes"
  else
***************
*** 3544,3550 ****
  
  if test "$tk_checkSocket" = 1; then
      echo $ac_n "checking for main in -lsocket""... $ac_c" 1>&6
! echo "configure:3548: checking for main in -lsocket" >&5
  ac_lib_var=`echo socket'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 3549,3555 ----
  
  if test "$tk_checkSocket" = 1; then
      echo $ac_n "checking for main in -lsocket""... $ac_c" 1>&6
! echo "configure:3553: checking for main in -lsocket" >&5
  ac_lib_var=`echo socket'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 3552,3565 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lsocket  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3556 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:3563: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 3557,3570 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lsocket  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3561 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:3568: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 3585,3596 ****
      tk_oldLibs=$LIBS
      LIBS="$LIBS -lsocket -lnsl"
      echo $ac_n "checking for accept""... $ac_c" 1>&6
! echo "configure:3589: checking for accept" >&5
  if eval "test \"`echo '$''{'ac_cv_func_accept'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3594 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char accept(); below.  */
--- 3590,3601 ----
      tk_oldLibs=$LIBS
      LIBS="$LIBS -lsocket -lnsl"
      echo $ac_n "checking for accept""... $ac_c" 1>&6
! echo "configure:3594: checking for accept" >&5
  if eval "test \"`echo '$''{'ac_cv_func_accept'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3599 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char accept(); below.  */
***************
*** 3613,3619 ****
  
  ; return 0; }
  EOF
! if { (eval echo configure:3617: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_accept=yes"
  else
--- 3618,3624 ----
  
  ; return 0; }
  EOF
! if { (eval echo configure:3622: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_accept=yes"
  else
***************
*** 3635,3646 ****
  
  fi
  echo $ac_n "checking for gethostbyname""... $ac_c" 1>&6
! echo "configure:3639: checking for gethostbyname" >&5
  if eval "test \"`echo '$''{'ac_cv_func_gethostbyname'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3644 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char gethostbyname(); below.  */
--- 3640,3651 ----
  
  fi
  echo $ac_n "checking for gethostbyname""... $ac_c" 1>&6
! echo "configure:3644: checking for gethostbyname" >&5
  if eval "test \"`echo '$''{'ac_cv_func_gethostbyname'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3649 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char gethostbyname(); below.  */
***************
*** 3663,3669 ****
  
  ; return 0; }
  EOF
! if { (eval echo configure:3667: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_gethostbyname=yes"
  else
--- 3668,3674 ----
  
  ; return 0; }
  EOF
! if { (eval echo configure:3672: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_gethostbyname=yes"
  else
***************
*** 3681,3687 ****
  else
    echo "$ac_t""no" 1>&6
  echo $ac_n "checking for main in -lnsl""... $ac_c" 1>&6
! echo "configure:3685: checking for main in -lnsl" >&5
  ac_lib_var=`echo nsl'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 3686,3692 ----
  else
    echo "$ac_t""no" 1>&6
  echo $ac_n "checking for main in -lnsl""... $ac_c" 1>&6
! echo "configure:3690: checking for main in -lnsl" >&5
  ac_lib_var=`echo nsl'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 3689,3702 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lnsl  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3693 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:3700: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 3694,3707 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lnsl  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3698 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:3705: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 3736,3748 ****
  
  if test -d /usr/include/mit ; then
      echo $ac_n "checking MIT X libraries""... $ac_c" 1>&6
! echo "configure:3740: checking MIT X libraries" >&5
      tk_oldCFlags=$CFLAGS
      CFLAGS="$CFLAGS -I/usr/include/mit"
      tk_oldLibs=$LIBS
      LIBS="$LIBS -lX11-mit"
      cat > conftest.$ac_ext <<EOF
! #line 3746 "configure"
  #include "confdefs.h"
  
  	#include <X11/Xlib.h>
--- 3741,3753 ----
  
  if test -d /usr/include/mit ; then
      echo $ac_n "checking MIT X libraries""... $ac_c" 1>&6
! echo "configure:3745: checking MIT X libraries" >&5
      tk_oldCFlags=$CFLAGS
      CFLAGS="$CFLAGS -I/usr/include/mit"
      tk_oldLibs=$LIBS
      LIBS="$LIBS -lX11-mit"
      cat > conftest.$ac_ext <<EOF
! #line 3751 "configure"
  #include "confdefs.h"
  
  	#include <X11/Xlib.h>
***************
*** 3753,3759 ****
      
  ; return 0; }
  EOF
! if { (eval echo configure:3757: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    
  	echo "$ac_t""yes" 1>&6
--- 3758,3764 ----
      
  ; return 0; }
  EOF
! if { (eval echo configure:3762: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    
  	echo "$ac_t""yes" 1>&6
***************
*** 3780,3791 ****
  
  MATH_LIBS=""
  echo $ac_n "checking for sin""... $ac_c" 1>&6
! echo "configure:3784: checking for sin" >&5
  if eval "test \"`echo '$''{'ac_cv_func_sin'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3789 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char sin(); below.  */
--- 3785,3796 ----
  
  MATH_LIBS=""
  echo $ac_n "checking for sin""... $ac_c" 1>&6
! echo "configure:3789: checking for sin" >&5
  if eval "test \"`echo '$''{'ac_cv_func_sin'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3794 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char sin(); below.  */
***************
*** 3808,3814 ****
  
  ; return 0; }
  EOF
! if { (eval echo configure:3812: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_sin=yes"
  else
--- 3813,3819 ----
  
  ; return 0; }
  EOF
! if { (eval echo configure:3817: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_sin=yes"
  else
***************
*** 3829,3835 ****
  fi
  
  echo $ac_n "checking for main in -lieee""... $ac_c" 1>&6
! echo "configure:3833: checking for main in -lieee" >&5
  ac_lib_var=`echo ieee'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
--- 3834,3840 ----
  fi
  
  echo $ac_n "checking for main in -lieee""... $ac_c" 1>&6
! echo "configure:3838: checking for main in -lieee" >&5
  ac_lib_var=`echo ieee'_'main | sed 'y%./+-%__p_%'`
  if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
***************
*** 3837,3850 ****
    ac_save_LIBS="$LIBS"
  LIBS="-lieee  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3841 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:3848: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
--- 3842,3855 ----
    ac_save_LIBS="$LIBS"
  LIBS="-lieee  $LIBS"
  cat > conftest.$ac_ext <<EOF
! #line 3846 "configure"
  #include "confdefs.h"
  
  int main() {
  main()
  ; return 0; }
  EOF
! if { (eval echo configure:3853: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_lib_$ac_lib_var=yes"
  else
***************
*** 3871,3884 ****
  #--------------------------------------------------------------------
  
  echo $ac_n "checking whether char is unsigned""... $ac_c" 1>&6
! echo "configure:3875: checking whether char is unsigned" >&5
  if eval "test \"`echo '$''{'ac_cv_c_char_unsigned'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    if test "$GCC" = yes; then
    # GCC predefines this symbol on systems where it applies.
  cat > conftest.$ac_ext <<EOF
! #line 3882 "configure"
  #include "confdefs.h"
  #ifdef __CHAR_UNSIGNED__
    yes
--- 3876,3889 ----
  #--------------------------------------------------------------------
  
  echo $ac_n "checking whether char is unsigned""... $ac_c" 1>&6
! echo "configure:3880: checking whether char is unsigned" >&5
  if eval "test \"`echo '$''{'ac_cv_c_char_unsigned'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    if test "$GCC" = yes; then
    # GCC predefines this symbol on systems where it applies.
  cat > conftest.$ac_ext <<EOF
! #line 3887 "configure"
  #include "confdefs.h"
  #ifdef __CHAR_UNSIGNED__
    yes
***************
*** 3900,3906 ****
      { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
  else
    cat > conftest.$ac_ext <<EOF
! #line 3904 "configure"
  #include "confdefs.h"
  /* volatile prevents gcc2 from optimizing the test away on sparcs.  */
  #if !defined(__STDC__) || __STDC__ != 1
--- 3905,3911 ----
      { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
  else
    cat > conftest.$ac_ext <<EOF
! #line 3909 "configure"
  #include "confdefs.h"
  /* volatile prevents gcc2 from optimizing the test away on sparcs.  */
  #if !defined(__STDC__) || __STDC__ != 1
***************
*** 3910,3916 ****
    volatile char c = 255; exit(c < 0);
  }
  EOF
! if { (eval echo configure:3914: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
  then
    ac_cv_c_char_unsigned=yes
  else
--- 3915,3921 ----
    volatile char c = 255; exit(c < 0);
  }
  EOF
! if { (eval echo configure:3919: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
  then
    ac_cv_c_char_unsigned=yes
  else
***************
*** 3943,3954 ****
  
  
      echo $ac_n "checking for strtod""... $ac_c" 1>&6
! echo "configure:3947: checking for strtod" >&5
  if eval "test \"`echo '$''{'ac_cv_func_strtod'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3952 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char strtod(); below.  */
--- 3948,3959 ----
  
  
      echo $ac_n "checking for strtod""... $ac_c" 1>&6
! echo "configure:3952: checking for strtod" >&5
  if eval "test \"`echo '$''{'ac_cv_func_strtod'+set}'`\" = set"; then
    echo $ac_n "(cached) $ac_c" 1>&6
  else
    cat > conftest.$ac_ext <<EOF
! #line 3957 "configure"
  #include "confdefs.h"
  /* System header to define __stub macros and hopefully few prototypes,
      which can conflict with char strtod(); below.  */
***************
*** 3971,3977 ****
  
  ; return 0; }
  EOF
! if { (eval echo configure:3975: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_strtod=yes"
  else
--- 3976,3982 ----
  
  ; return 0; }
  EOF
! if { (eval echo configure:3980: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
    rm -rf conftest*
    eval "ac_cv_func_strtod=yes"
  else
***************
*** 3993,4004 ****
  
      if test "$tk_strtod" = 1; then
  	echo $ac_n "checking for Solaris 2.4 strtod bug""... $ac_c" 1>&6
! echo "configure:3997: checking for Solaris 2.4 strtod bug" >&5
  	if test "$cross_compiling" = yes; then
    tk_ok=0
  else
    cat > conftest.$ac_ext <<EOF
! #line 4002 "configure"
  #include "confdefs.h"
  
  	    extern double strtod();
--- 3998,4009 ----
  
      if test "$tk_strtod" = 1; then
  	echo $ac_n "checking for Solaris 2.4 strtod bug""... $ac_c" 1>&6
! echo "configure:4002: checking for Solaris 2.4 strtod bug" >&5
  	if test "$cross_compiling" = yes; then
    tk_ok=0
  else
    cat > conftest.$ac_ext <<EOF
! #line 4007 "configure"
  #include "confdefs.h"
  
  	    extern double strtod();
***************
*** 4018,4024 ****
  		exit(0);
  	    }
  EOF
! if { (eval echo configure:4022: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
  then
    tk_ok=1
  else
--- 4023,4029 ----
  		exit(0);
  	    }
  EOF
! if { (eval echo configure:4027: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
  then
    tk_ok=1
  else
***************
*** 4049,4055 ****
  
  
      echo $ac_n "checking how to build libraries""... $ac_c" 1>&6
! echo "configure:4053: checking how to build libraries" >&5
      # Check whether --enable-shared or --disable-shared was given.
  if test "${enable_shared+set}" = set; then
    enableval="$enable_shared"
--- 4054,4060 ----
  
  
      echo $ac_n "checking how to build libraries""... $ac_c" 1>&6
! echo "configure:4058: checking how to build libraries" >&5
      # Check whether --enable-shared or --disable-shared was given.
  if test "${enable_shared+set}" = set; then
    enableval="$enable_shared"
***************
*** 4122,4129 ****
      TK_BUILD_EXP_FILE="lib.exp"
      eval "TK_EXP_FILE=libtk${TCL_EXPORT_FILE_SUFFIX}"
      
!     TK_BUILD_LIB_SPEC="-bI:`pwd`/${TK_BUILD_EXP_FILE}"
!     TK_LIB_SPEC="-bI:${exec_prefix}/lib/${TK_EXP_FILE}"
  fi
  TK_SHARED_BUILD=${SHARED_BUILD}
  
--- 4127,4134 ----
      TK_BUILD_EXP_FILE="lib.exp"
      eval "TK_EXP_FILE=libtk${TCL_EXPORT_FILE_SUFFIX}"
      
!     TK_BUILD_LIB_SPEC="-Wl,-bI:`pwd`/${TK_BUILD_EXP_FILE}"
!     TK_LIB_SPEC="-Wl,-bI:${exec_prefix}/lib/${TK_EXP_FILE}"
  fi
  TK_SHARED_BUILD=${SHARED_BUILD}
  
***************
*** 4189,4194 ****
--- 4194,4201 ----
  
  
  
+ 
+ 
  #AC_SUBST(TCL_BUILD_STUB_LIB_SPEC)
  #AC_SUBST(TCL_BUILD_LIB_SPEC)
  
***************
*** 4378,4383 ****
--- 4385,4392 ----
  s%@TCL_STUB_FLAGS@%$TCL_STUB_FLAGS%g
  s%@CFLAGS_DEFAULT@%$CFLAGS_DEFAULT%g
  s%@TK_DBGX@%$TK_DBGX%g
+ s%@CC_LIBS_SPEC@%$CC_LIBS_SPEC%g
+ s%@LD_LIBS_SPEC@%$LD_LIBS_SPEC%g
  s%@EXTRA_CFLAGS@%$EXTRA_CFLAGS%g
  s%@LD_FLAGS@%$LD_FLAGS%g
  s%@MATH_LIBS@%$MATH_LIBS%g
Index: tk8.3.1/unix/configure.in
diff -c tk8.3.1/unix/configure.in:1.1.1.1 tk8.3.1/unix/configure.in:1.2
*** tk8.3.1/unix/configure.in:1.1.1.1	Thu Jun  8 17:10:37 2000
--- tk8.3.1/unix/configure.in	Wed Aug 23 15:15:36 2000
***************
*** 368,375 ****
      TK_BUILD_EXP_FILE="lib.exp"
      eval "TK_EXP_FILE=libtk${TCL_EXPORT_FILE_SUFFIX}"
      
!     TK_BUILD_LIB_SPEC="-bI:`pwd`/${TK_BUILD_EXP_FILE}"
!     TK_LIB_SPEC="-bI:${exec_prefix}/lib/${TK_EXP_FILE}"
  fi
  TK_SHARED_BUILD=${SHARED_BUILD}
  
--- 368,375 ----
      TK_BUILD_EXP_FILE="lib.exp"
      eval "TK_EXP_FILE=libtk${TCL_EXPORT_FILE_SUFFIX}"
      
!     TK_BUILD_LIB_SPEC="-Wl,-bI:`pwd`/${TK_BUILD_EXP_FILE}"
!     TK_LIB_SPEC="-Wl,-bI:${exec_prefix}/lib/${TK_EXP_FILE}"
  fi
  TK_SHARED_BUILD=${SHARED_BUILD}
  
***************
*** 422,427 ****
--- 422,429 ----
  AC_SUBST(CFLAGS_DEFAULT)
  AC_SUBST(TK_DBGX)
  AC_SUBST(DL_LIBS)
+ AC_SUBST(CC_LIBS_SPEC)
+ AC_SUBST(LD_LIBS_SPEC)
  AC_SUBST(EXTRA_CFLAGS)
  AC_SUBST(LD_FLAGS)
  AC_SUBST(MATH_LIBS)
Index: tk8.3.1/unix/configure
*** tk8.3.1/unix/configure	Fri Apr  6 11:09:09 2001
--- tk8.3.1/unix/configure	Fri Apr  6 11:09:10 2001
***************
*** 1598,1609 ****
      TCL_BUILD_EXP_FILE=""
      TCL_EXP_FILE=""
      case $system in
! 	AIX-4.[2-9])
! 	    if test "$using_gcc" = "no" ; then
  		# The IBM compiler has a bug with -O when compiling the
  		# text widget code (TkTextPixelIndex segv)
  		CFLAGS_OPTIMIZE=""
  	    fi
  	    SHLIB_CFLAGS=""
  	    SHLIB_LD=$TCL_SHLIB_LD
  	    SHLIB_LD_LIBS='${LIBS}'
--- 1598,1623 ----
      TCL_BUILD_EXP_FILE=""
      TCL_EXP_FILE=""
      case $system in
! 	AIX-4.[2-9]|AIX-5*)
! 	    case "`lsattr -El proc0 -a type -F value`" in
! 		PowerPC*) IBM_ARCH=powerpc
! 			  IBM_CPU=ibm ;;
! 		Itanium)  IBM_ARCH=ia64
! 			  IBM_CPU=intel	;;
! 		POWER*)	  IBM_ARCH=power
! 			  IBM_CPU=ibm ;;
! 		*)	  IBM_ARCH=powerpc
! 			  IBM_CPU=ibm ;;
! 	    esac
! 	    if test "$using_gcc" = "no"	; then
  		# The IBM compiler has a bug with -O when compiling the
  		# text widget code (TkTextPixelIndex segv)
  		CFLAGS_OPTIMIZE=""
  	    fi
+ 	    if test "${IBM_ARCH}" != "ia64" ; then
+ 		TCL_NEEDS_EXP_FILE=1
+ 		TCL_EXPORT_FILE_SUFFIX='${VERSION}\$\{DBGX\}.exp'
+ 	    fi
  	    SHLIB_CFLAGS=""
  	    SHLIB_LD=$TCL_SHLIB_LD
  	    SHLIB_LD_LIBS='${LIBS}'
***************
*** 1615,1622 ****
  
  	    LDFLAGS=""
  	    LD_SEARCH_FLAGS='-L${LIB_RUNTIME_DIR}'
- 	    TCL_NEEDS_EXP_FILE=1
- 	    TCL_EXPORT_FILE_SUFFIX='${VERSION}\$\{DBGX\}.exp'
  	    ;;
  	AIX-*)
  	    SHLIB_CFLAGS=""
--- 1629,1634 ----
